Subject: Re: TX vs RX pause frame question

From: John Fastabend <[email-masked]>
Date: Sun, 26 Mar 2017 10:55:30 -0700

On 17-03-26 03:11 AM, Benjamin Herrenschmidt wrote:
> Hi !
> 
> It's not 100% clear to me looking at various drivers what is
> considered "rx_pause" and what is "tx_pause" (from the ethtool
> terminology).
> 
> Is "rx_pause" about receiving pause frame to throttle the transmitter
> or is it about sending pause frames when the receiver gets full ?
> 
> Thanks,
> Ben.
> 

The common implementation, at least on the Intel devices, is rx_pause
should be enabled so the device will respond to receiving a pause frame, e.g.
stop sending packets. And tx_pause is for enabling/disabling sending of
pause frames.

Thanks,
John